Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
portage will not allow me to emerge bjfilter
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
xsilentmurmurx
Apprentice
Apprentice


Joined: 23 Oct 2009
Posts: 233

PostPosted: Tue Dec 07, 2010 6:29 am    Post subject: portage will not allow me to emerge bjfilter Reply with quote

Hey everyone

I am trying to emerge bjfilter so I can use my Canon i250 printer with my Gentoo installation. I added the zugaina overlay and when I attempted to run emerge -av bjfilter , portage gave me this message:

Code:
 # emerge -av bjfilter

These are the packages that would be merged, in order:

Calculating dependencies... done!

emerge: there are no ebuilds to satisfy "virtual/ghostscript".
(dependency required by "net-print/bjfilter-2.50-r8" [ebuild])
(dependency required by "bjfilter" [argument])


the issue here is that no matter where I search, I cannot find the "virtual/ghostscript" ebuild. Anyone have any suggestions as to how I can resolve this issue?

All help is GREATLY appreciated!
Back to top
View user's profile Send private message
bjlockie
Veteran
Veteran


Joined: 18 Oct 2002
Posts: 1186
Location: Canada

PostPosted: Tue Dec 07, 2010 7:15 am    Post subject: Reply with quote

sudo emerge -p virtual/ghostscript

These are the packages that would be merged, in order:

Calculating dependencies... done!

emerge: there are no ebuilds to satisfy "virtual/ghostscript"


http://en.gentoo-wiki.com/wiki/Canon_Pixma_Series
Quote:
The ebuilds exist on the overlay "zugaina", available through layman. You can easily add this overlay and skip the next section. However this overlay is currently not up-to-date at all.


Maybe someone else can help but since Canon is anti-Linux...
_________________
AMD FX6100 CPU, 16 GiB RAM, OCZ Vertex 3 SSD
ASRock 970 Extreme3 motherboard with S/PDIF audio
Galaxy-NVidia GeForce 8800GT video card, Cyber Power CP550HG USB UPS
Back to top
View user's profile Send private message
wthrowe
Tux's lil' helper
Tux's lil' helper


Joined: 19 Aug 2009
Posts: 139

PostPosted: Tue Dec 07, 2010 7:18 am    Post subject: Reply with quote

virtual/ghostscript was removed from the tree in January, since the only remaining ghostscript implementation is app-text/ghostscript-gpl. You should probably let the overlay maintainer know that the ebuild is broken. Until that is fixed, you can copy the ebuild to a local overlay and change the dependency to app-text/ghostscript-gpl.
Back to top
View user's profile Send private message
tomk
Bodhisattva
Bodhisattva


Joined: 23 Sep 2003
Posts: 7221
Location: Sat in front of my computer

PostPosted: Tue Dec 07, 2010 10:01 am    Post subject: Reply with quote

Moved from Installing Gentoo to Unsupported Software, questions about overlay ebuilds belong in US.
_________________
Search | Read | Answer | Report | Strip
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum